Loading ...
Sorry, an error occurred while loading the content.

$ ./autogen.sh gives errors on both Linux RH AS2.1 and Cygwin

Expand Messages
  • arjanvanvught
    hi, see errors below. Please advice. Thanks. Regards, Arjan RH AS2.1 ... [root@localhost ilda]# cd autotrace [root@localhost autotrace]# ./autogen.sh
    Message 1 of 3 , Jan 23, 2005
    • 0 Attachment
      hi,

      see errors below. Please advice. Thanks.

      Regards, Arjan

      RH AS2.1
      ---------------------------------------------------------------------------------------------------------

      [root@localhost ilda]# cd autotrace
      [root@localhost autotrace]# ./autogen.sh
      =============================================================================
      When you report a trouble about building CVS version of autotrace
      Please report following information about distro and tools version, too.

      --1.
      distribution------------------------------------------------------------
      Red Hat Linux Advanced Server release 2.1 (Pensacola)

      --2.
      tools-------------------------------------------------------------------
      which m4: /usr/bin/m4
      GNU m4 1.4.1
      which autoconf: /usr/bin/autoconf
      which autoheader: /usr/bin/autoheader
      which automake: /usr/bin/automake
      automake (GNU automake) 1.4-p5
      which: no automake-1.6 in
      (/opt/IBMJava2-131/bin:/opt/IBMJava2-131/jre/bin:/bin:
      /sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/
      bin:/root/bin)
      which automake-1.6:
      ./tools-version.sh: automake-1.6: command not found
      which aclocal: /usr/bin/aclocal
      aclocal (GNU automake) 1.4-p5
      which: no aclocal-1.6 in
      (/opt/IBMJava2-131/bin:/opt/IBMJava2-131/jre/bin:/bin:/
      sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/b
      in:/root/bin)
      which aclocal-1.6:
      ./tools-version.sh: aclocal-1.6: command not found
      which gettextize: /usr/bin/gettextize
      /usr/bin/gettextize (GNU gettext) 0.10.38
      which libtoolize: /usr/bin/libtoolize
      libtoolize (GNU libtool) 1.4
      which: no glib-gettextize in
      (/opt/IBMJava2-131/bin:/opt/IBMJava2-131/jre/bin:/b
      in:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11
      R6/bin:/root/bin)
      which glib-gettextize:
      ./tools-version.sh: glib-gettextize: command not found

      --3. environment
      variables---------------------------------------------------
      LANG=en_US
      PATH=/opt/IBMJava2-131/bin:/opt/IBMJava2-131/jre/bin:/bin:/sbin:/usr/bin:/usr/sb
      in:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/root/bin

      =============================================================================
      aclocal: configure.in: 55: macro `AM_GLIB_GNU_GETTEXT' not found in
      library
      aclocal: configure.in: 291: macro `AM_PATH_PSTOEDIT' not found in library
      aclocal: configure.in: 297: macro `AM_PATH_PSTOEDIT' not found in library
      Makefile.am:139: variable `POPT_LIBS' not defined
      Makefile.am:139: variable `INTLLIBS' not defined
      You should add the contents of `/usr/share/aclocal/libtool.m4' to
      `aclocal.m4'.
      autoconf: Undefined macros:
      configure.in:34:AC_PROG_LIBTOOL
      checking for glib-gettextize

      You must have glib-gettextize installed to compile autotrace
      glib-gettextize is part of glib-2.0, so you should already
      have it. Make sure it is in your PATH.
      [root@localhost autotrace]#

      CYGWIN
      ---------------------------------------------------------------------------------------------------------

      Arjan van Vught@intelpc ~/autotrace
      $ ./autogen.sh
      =============================================================================
      When you report a trouble about building CVS version of autotrace
      Please report following information about distro and tools version, too.

      --1.
      distribution------------------------------------------------------------
      function: not found
      distro: -a
      Terminating....

      --2.
      tools-------------------------------------------------------------------
      which m4: /usr/bin/m4
      GNU m4 1.4.2
      which autoconf: /usr/bin/autoconf
      autoconf (GNU Autoconf) 2.59
      which autoheader: /usr/bin/autoheader
      autoheader (GNU Autoconf) 2.59
      which automake: /usr/bin/automake
      automake (GNU automake) 1.9.2
      automake-1.6: Command not found.
      which automake-1.6:
      automake-1.6: not found
      which aclocal: /usr/bin/aclocal
      aclocal (GNU automake) 1.9.2
      aclocal-1.6: Command not found.
      which aclocal-1.6:
      aclocal-1.6: not found
      gettextize: Command not found.
      which gettextize:
      gettextize: not found
      which libtoolize: /usr/bin/libtoolize
      libtoolize (GNU libtool) 1.5.10
      glib-gettextize: Command not found.
      which glib-gettextize:
      glib-gettextize: not found

      --3. environment
      variables---------------------------------------------------
      EEAPATH=C:\Program Files\IBM\EasyEnglishAnalyzer
      HOMEPATH=\Documents and Settings\Arjan van Vught
      INFOPATH=/usr/local/info:/usr/info:/usr/share/info:/usr/autotool/devel/info:/usr
      /autotool/stable/info:
      MANPATH=/usr/local/man:/usr/man:/usr/share/man:/usr/autotool/devel/man::/usr/ssl
      /man
      PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/bin:/cygdrive/c/WINDOWS/sy
      stem32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/c/Program
      Files/Common Files/Roxio
      Shared/DLLShared:/cygdrive/c/PROGRA~1/COMMON~1/XCPCSyn
      c/TRANSL~1/LtNts4/:/cygdrive/f/sdcc/bin:/cygdrive/c/Program
      Files/Microsoft Visu
      al Studio/Common/Tools/WinNT:/cygdrive/c/Program Files/Microsoft
      Visual Studio/C
      ommon/MSDev98/Bin:/cygdrive/c/Program Files/Microsoft Visual
      Studio/Common/Tools
      :/cygdrive/c/Program Files/Microsoft Visual Studio/VC98/bin
      PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH
      PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig
      TVDEBUGFLAGS=0x260

      =============================================================================
      /usr/share/aclocal/pkg.m4:5: warning: underquoted definition of
      PKG_CHECK_MODULE
      S
      run info '(automake)Extending aclocal'
      or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
      /usr/share/aclocal/freetype2.m4:7: warning: underquoted definition of
      AC_CHECK_F
      T2
      aclocal:configure.in:55: warning: macro `AM_GLIB_GNU_GETTEXT' not
      found in libra
      ry
      aclocal:configure.in:291: warning: macro `AM_PATH_PSTOEDIT' not found
      in library

      aclocal:configure.in:297: warning: macro `AM_PATH_PSTOEDIT' not found
      in library

      configure.in: installing `./install-sh'
      configure.in: installing `./missing'
      configure.in:34: installing `./config.guess'
      configure.in:34: installing `./config.sub'
      configure.in:34: required file `./ltmain.sh' not found
      configure.in:55: error: possibly undefined macro: AM_GLIB_GNU_GETTEXT
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
      configure.in:291: error: possibly undefined macro: AM_PATH_PSTOEDIT
      checking for glib-gettextize

      You must have glib-gettextize installed to compile autotrace
      glib-gettextize is part of glib-2.0, so you should already
      have it. Make sure it is in your PATH.

      Arjan van Vught@intelpc ~/autotrace
      $
    • Masatake YAMATO
      To use autogen.sh you have to install at least (1) automake, (2) glib2 or glib2-devel rpm package, and (3) pstoedit
      Message 2 of 3 , Jan 23, 2005
      • 0 Attachment
        To use autogen.sh you have to install at least
        (1) automake,
        (2) glib2 or glib2-devel rpm package, and
        (3) pstoedit

        > hi,
        >
        > see errors below. Please advice. Thanks.
        >
        > Regards, Arjan
      • arjanvanvught
        Thanks for your quick reply. Much appriciated. I ve installed the packages (e.g. I ve moved to RH8) and get the remaining errors. Please advice. Thanks.
        Message 3 of 3 , Jan 23, 2005
        • 0 Attachment
          Thanks for your quick reply. Much appriciated. I've installed the
          packages (e.g. I've moved to RH8) and get the remaining errors. Please
          advice. Thanks.

          [ilda@localhost autotrace]$ sh autogen.sh
          =============================================================================
          When you report a trouble about building CVS version of autotrace
          Please report following information about distro and tools version, too.

          --1.
          distribution------------------------------------------------------------
          Red Hat Linux release 8.0 (Psyche)

          --2.
          tools-------------------------------------------------------------------
          which m4: /usr/bin/m4
          GNU m4 1.4.1
          which autoconf: /usr/bin/autoconf
          autoconf (GNU Autoconf) 2.53
          which autoheader: /usr/bin/autoheader
          autoheader (GNU Autoconf) 2.53
          which automake: /usr/bin/automake
          automake (GNU automake) 1.6.3
          which automake-1.6: /usr/bin/automake-1.6
          automake (GNU automake) 1.6.3
          which aclocal: /usr/bin/aclocal
          aclocal (GNU automake) 1.6.3
          which aclocal-1.6: /usr/bin/aclocal-1.6
          aclocal (GNU automake) 1.6.3
          which gettextize: /usr/bin/gettextize
          /usr/bin/gettextize (GNU gettext) 0.11.4
          which libtoolize: /usr/bin/libtoolize
          libtoolize (GNU libtool) 1.4.2
          which glib-gettextize: /usr/bin/glib-gettextize
          /usr/bin/glib-gettextize (GNU glib) 2.0.6

          --3. environment
          variables---------------------------------------------------
          PATH=/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/ilda/bin
          LANG=en_US.UTF-8
          ACLOCAL_FLAGS=-I /usr/local/share/aclocal -I /usr/share/aclocal

          =============================================================================
          configure.in:41: warning: do not use m4_patsubst: use patsubst or
          m4_bpatsubst
          configure.in:434: warning: do not use m4_regexp: use regexp or m4_bregexp
          autoheader: `config.h.in' is unchanged
          You should update your `aclocal.m4' by running aclocal.
          checking for glib-gettextize
          Copying file po/Makefile.in.in

          Please add the files
          codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
          progtest.m4
          from the /usr/share/aclocal directory to your autoconf macro directory
          or directly to your aclocal.m4 file.
          You will also need config.guess and config.sub, which you can get from
          ftp://ftp.gnu.org/pub/gnu/config/.

          [ilda@localhost autotrace]$


          --- In autotrace@yahoogroups.com, Masatake YAMATO <jet@g...> wrote:
          > To use autogen.sh you have to install at least
          > (1) automake,
          > (2) glib2 or glib2-devel rpm package, and
          > (3) pstoedit
          >
          > > hi,
          > >
          > > see errors below. Please advice. Thanks.
          > >
          > > Regards, Arjan
        Your message has been successfully submitted and would be delivered to recipients shortly.